Search NASA⌕ Search

SEARCH · Search NASA

Results for “monotone solution”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

At least 37 records · Page 2

Hybrid Differential Dynamic Programming with Stochastic Search

Differential dynamic programming (DDP) has been demonstrated as a viable approach to low-thrust trajectory optimization, namely with the recent success of NASAs Dawn mission. The Dawn trajectory was designed with the DDP-based Static Dynamic Optimal Control algorithm used in the Mystic software. Another recently developed method, Hybrid Differential Dynamic Programming (HDDP) is a variant of the standard DDP formulation that leverages both first-order and second-order state transition matrices in addition to nonlinear programming (NLP) techniques. Areas of improvement over standard DDP include constraint handling, convergence properties, continuous dynamics, and multi-phase capability. DDP is a gradient based method and will converge to a solution nearby an initial guess. In this study, monotonic basin hopping (MBH) is employed as a stochastic search method to overcome this limitation, by augmenting the HDDP algorithm for a wider search of the solution space.

Aziz, Jonathan↗

On the accuracy of limiters and convergence to steady state solutions

This paper addresses the practical problem of obtaining convergence to steady state solutions when limiters are used in conjunction with upwind schemes on unstructured grids. The base scheme forms a gradient and limits it by imposing monotonicity conditions in the reconstruction stage. It is shown by analysis in one dimension that such an approach leads to various schemes meeting TVD requirements in one dimension. It is further shown that these formally second order accurate schemes are less than second order accurate in practice because of the action of the limiter function in smooth regions of the solution. Modifications are proposed to the limiter that restore the second order accuracy. In multiple dimensions these schemes produce steady state solutions that are monotone and devoid of oscillations. However, convergence stalls after a few orders of reduction in the residual. With the modified limiter, on the other hand, it is shown that converged steady state solutions can be obtained.

Venkatakrishnan, V.↗

Nonlinear behavior of shells of revolution under cyclic loading

A large deflection elastic-plastic analysis is presented, applicable to orthotropic axisymmetric plates and shells of revolution subjected to monotonic and cyclic loading conditions. The analysis is based on the finite-element method. It employs a new higher order, fully compatible, doubly curved orthotropic shell-of-revolution element using cubic Hermitian expansions for both meridional and normal displacements. Both perfectly plastic and strain hardening behavior are considered. Strain hardening is incorporated through use of the Prager-Ziegler kinematic hardening theory, which predicts an ideal Bauschinger effect. Numerous sample problems involving monotonic and cyclic loading conditions are analyzed. The monotonic results are compared with other theoretical solutions.

Levine, H. S.↗

Stability criteria for accelerating and decelerating aircraft.

Derivation of the linearized differential equation for the longitudinal oscillations of an aircraft for the general case when the atmospheric density, thrust force, and velocity are varying. Exact solutions and stability criteria are presented for several different conditions. For the zero thrust coasting aircraft that is being decelerated by its drag force, new stability criteria are derived for both ascending and descending flight. A critical altitude is found for ascending aircraft that are attempting to coast out of the atmosphere. Above this critical altitude the oscillations cease, and there is a monotonic increase in the angle of attack. Exact solutions for the oscillations of coasting aircraft are presented in terms of the confluent hypergeometric functions. It is shown that previous attempts to predict a critical altitude for ascending vehicles were in error because they did not include the second type, or logarithmic solution, of the confluent hypergeometric function.

Laitone, E. V.↗

Effect of a multi-dimensional flux function on the monotonicity of Euler and Navier-Stokes computations

A limiting method has been devised for a grid-independent flux function for use with the two-dimensional Euler and Navier-Stokes equations. This limiting is derived from a monotonicity analysis of the model and allows for solutions with reduced oscillatory behavior while still maintaining sharper resolution than a grid-aligned method. In addition to capturing oblique waves sharply, the grid-independent flux function also reduces the entropy generated over an airfoil in an Euler computation and reduces pressure distortions in the separated boundary layer of a viscous-flow airfoil computation. The model has also been extended to three dimensions, although no angle-limiting procedure for improving monotonicity characteristics has been incorporated.

Rumsey, Christopher L.↗

Computation of optimal output-feedback compensators for linear time-invariant systems

The control of linear time-invariant systems with respect to a quadratic performance criterion was considered, subject to the constraint that the control vector be a constant linear transformation of the output vector. The optimal feedback matrix, f*, was selected to optimize the expected performance, given the covariance of the initial state. It is first shown that the expected performance criterion can be expressed as the ratio of two multinomials in the element of f. This expression provides the basis for a feasible method of determining f* in the case of single-input single-output systems. A number of iterative algorithms are then proposed for the calculation of f* for multiple input-output systems. For two of these, monotone convergence is proved, but they involve the solution of nonlinear matrix equations at each iteration. Another is proposed involving the solution of Lyapunov equations at each iteration, and the gradual increase of the magnitude of a penalty function. Experience with this algorithm will be needed to determine whether or not it does, indeed, possess desirable convergence properties, and whether it can be used to determine the globally optimal f*.

Platzman, L. K.↗

Monotone implicit algorithms for the small-disturbance and full potential equations applied to transonic flows

Numerical calculations of transonic flows by potential equations typically use algorithms that change the method of calculation for regions of subsonic and supersonic flow. In this paper, implicit approximate-factorization algorithms are modified to use the monotonic switch in the type of finite-differencing that was developed by Godunov for the Euler equations. Calculations of flows over airfoils by these algorithms are compared with calculations by other methods that are in common usage. For the small-disturbance potential equation, comparisons are made with the Murman-Cole method and the monotone method of Engquist and Osher for both steady and unsteady flows. For the full potential equation, comparisons are made with the methods of Jameson and of Holst and Ballhaus for steady flows. The comparisons show that the monotone methods are more stable. For steady flows, solutions are obtained for cases where the Murman-Cole switch requires a time step over ten times smaller in order for the calculations to remain stable. These improvements are achieved with no increase in computer storage and only minor modifications in current codes.

Goorjian, P. M.↗

Advection of Microphysical Scalars in Terminal Area Simulation System (TASS)

The Terminal Area Simulation System (TASS) is a large eddy scale atmospheric flow model with extensive turbulence and microphysics packages. It has been applied successfully in the past to a diverse set of problems ranging from prediction of severe convective events (Proctor et al. 2002), tracking storms and for simulating weapons effects such as the dispersion and fallout of fission debris (Bacon and Sarma 1991), etc. More recently, TASS has been used for predicting the transport and decay of wake vortices behind aircraft (Proctor 2009). An essential part of the TASS model is its comprehensive microphysics package, which relies on the accurate computation of microphysical scalar transport. This paper describes an evaluation of the Leonard scheme implemented in the TASS model for transporting microphysical scalars. The scheme is validated against benchmark cases with exact solutions and compared with two other schemes - a Monotone Upstream-centered Scheme for Conservation Laws (MUSCL)-type scheme after van Leer and LeVeque's high-resolution wave propagation method. Finally, a comparison between the schemes is made against an incident of severe tornadic super-cell convection near Del City, Oklahoma.

Ahmad, Nashat N.↗

Progress Toward Generation of a Navier-Stokes Database for a Harrier in Ground Effect

The Harrier YAV-8B aircraft is capable of vertical and short-field take-off and landing (V/STOL) by directing its four exhaust nozzles toward the ground, or conventional flight by rotating its nozzles into a horizontal position. The British Royal Air Force and the United States Marine Corps have used this aircraft for more than 30 years to provide a quick reaction time for troop support, and reduce the need for long runways. The success of this powered-lift (PL) vehicle has also prompted the more recent design of the Joint Strike Fighter (JSF). However there are significant safety issues that must be addressed when operating a PL vehicle in close proximity to the ground. Hot Gas Ingestion (HGI) by the inlets can result in a rapid loss of powered lift; and high-speed jet flows along the ground plane can induce low pressures underneath the vehicle, causing a 'suck-down' effect. Under these conditions, departure from controlled flight may occur. Moreover, unsteady ground vortices and jet fountains can affect the aircraft,s controllability and its proximity to ground troops. The viscous, time-dependent flow fields of PL vehicles are difficult to accurately and efficiently predict using Computational Fluid Dynamics (CFD). A number of researchers have used the time-dependent Reynolds-averaged Navier-Stokes (RANS) equations to compute flows for single and multiple jets in a cross-flow. A few have added some geometric complexity to the problem by computing flows for jet-augmented delta wings near a ground plane. Smith et.al. computed for the first time a single RANS solution about a simplified Harrier. This geometry included a fuselage, wing, leading edge root extension (LERX), inlets, and exhaust nozzles. All of these investigations cite two practical problems with computing these flows: 1) the need for improved solution accuracy; and, 2) the need for faster solution methods. We view the need for faster solution methods as key to improving the solution accuracy and making this class of computation more routine. One can hardly refine grids, explore the use of advanced turbulence models, and generate databases when it takes weeks of dedicated computer time for a single solution. Chaderjian, Ahmad, Pandya, and Murman have focused on reducing the time-to-solution for this very difficult and complex problem through process automation and exploitation of parallel computing. They began with the Harrier geometry reported, and added a deflected wing flap and empennage for greater realism. To date more than 80 solutions have been carried out. This paper will describe this process and progress made in reducing the time required to generate a simple longitudinal force and moment database for a Harrier in ground effect. It shows a typical snap-shot from an unsteady streakline animation, where fluid particles are colored by temperature. The ground vortex and a jet-fountain vortex are highlighted. It also shows a similar streakline image, where HGI occurs due to the vehicle in close proximity to the ground. It is show the mean lift coefficient as a function of angle of attack and height. The angle of attack range was 4 deg less than or = alpha less than or = 10 deg with an increment of 1 degree, and the height range was 10 ft less than or = h less than or = 30ft with an increment of 5 feet. This 35 solution database was extended to over 2500 cases using a monotone cubic-spline interpolation procedure. The suck-down effect (reduction of lift near the ground) is highlighted in the figure. The "cushion effect," the conventional reduction of lift as the vehicle moves out of ground effect, is also indicated. All 35 RANS solutions were obtained using 952 Silicon Graphics Origin 2000 and 3000 processors in dedicated mode for one week. Typically, 112 processors were assigned to each case. Some other cases used fewer processors to utilize all available CPUS. The final paper will report on the automation of the solution process, including: grid generation, job monitoring, solution completion criteria, and post processing. Moreover, improvements in parallel efficiency for a dual time-step algorithm for the RANS equations will also be presented. Results will be discussed in detail using unsteady streakline flow visualization to correlate unsteady flow structures with dominant aerodynamic frequencies. The stability derivatives, CL, and CL, will also be presented.

Chaderjian, Neal M.↗

Study of second order upwind differencing in a recirculating flow

The accuracy and stability of the second order upwind differencing scheme was investigated. The solution algorithm employed is based on a coupled solution of the nonlinear finite difference equations by the multigrid technique. Calculations have been made of the driven cavity flow for several Reynolds numbers and finite difference grids. In comparison with the hybrid differencing, the second order upwind differencing is somewhat more accurate but it is not monotonically accurate with mesh refinement. Also, the convergence of the solution algorithm deteriorates with the use of the second order upwind differencing.

Vanka, S. P.↗

Second-order upwind differencing in a recirculating flow

The accuracy and stability of the second order upwind differencing scheme was investigated. The solution algorithm employed is based on a coupled solution of the nonlinear finite difference equations by the multigrid technique. Calculations have been made of the driven cavity flow for several Reynolds numbers and finite difference grids. In comparison with the hybrid differencing, the second order upwind differencing is somewhat more accurate but it is not monotonically accurate with mesh refinement. Also, the convergence of the solution algorithm deteriorates with the use of the second order upwind differencing.

Vanka, S. P.↗

Accurate upwind-monotone (nonoscillatory) methods for conservation laws

The well known MUSCL scheme of Van Leer is constructed using a piecewise linear approximation. The MUSCL scheme is second order accurate at the smooth part of the solution except at extrema where the accuracy degenerates to first order due to the monotonicity constraint. To construct accurate schemes which are free from oscillations, the author introduces the concept of upwind monotonicity. Several classes of schemes, which are upwind monotone and of uniform second or third order accuracy are then presented. Results for advection with constant speed are shown. It is also shown that the new scheme compares favorably with state of the art methods.

Huynh, Hung T.↗

The statistical theory of the fracture of fragile bodies. Part 2: The integral equation method

It is demonstrated how with the aid of a bending test, the Weibull fracture risk function can be determined - without postulating its analytical form - by resolving an integral equation. The respective solutions for rectangular and circular section beams are given. In the first case the function is expressed as an algorithm and in the second, in the form of series. Taking into account that the cumulative fracture probability appearing in the solution to the integral equation must be continuous and monotonically increasing, any case of fabrication or selection of samples can be treated.

Kittl, P.↗

Constrained Self-adaptive Solutions Procedures for Structure Subject to High Temperature Elastic-plastic Creep Effects

This paper will develop a new solution strategy which can handle elastic-plastic-creep problems in an inherently stable manner. This is achieved by introducing a new constrained time stepping algorithm which will enable the solution of creep initiated pre/postbuckling behavior where indefinite tangent stiffnesses are encountered. Due to the generality of the scheme, both monotone and cyclic loading histories can be handled. The presentation will give a thorough overview of current solution schemes and their short comings, the development of constrained time stepping algorithms as well as illustrate the results of several numerical experiments which benchmark the new procedure.

Padovan, J.↗

Inverse multiple scattering problems. III - Inadequacy of certain limb darkening and phase curves for retrieving atmospheric information and limitations of approximate scattering models

The paper considers three complementary inverse multiple scattering problems relating to a uniquely defined atmospheric scattering model. Consideration is given to the appropriateness, for data inversion purposes, of intensities observed in diffuse reflection under a variety of experimental conditions; the uniqueness of the inverse solution is investigated. It is found that light curves representing monotonic variations, such as limb darkening curves and phase curves for a planetary (e.g., Venus) disk center are unsuitable for inferring atmospheric and scattering parameters.

Fymat, A. L.↗

New analytical results for AOTV guidance

Minimum energy-loss turns of an Aero-assisted, Orbital Transfer Vehicle (AOTV) performing the atmospheric portion of an orbital-plane-change maneuver are developed using the heading angle as the independent variable. Because the heading angle is monotonic, several difficulties previously encountered using the flight path angle, which is not monotonic, as the independent variable are eliminated. In addition, the solution of the optimal control problem reduces to the solution of a fourth-order polynomial which can be accomplished analytically.

Hull, D. G.↗

Spectral stability of Taylor's vortex array

In a global sense it is shown that the two-dimensional Taylor vortex array, an exact solution of the Navier-Stokes equation, is absolutely and monotonically stable with respect to infinitesimal disturbances of all discrete frequencies as long as the viscosity is positive. It is suggested that the Taylor vortex array may also be stable with respect to finite amplitude disturbances.

Lin, S. P.↗

Solution algorithms for the two-dimensional Euler equations on unstructured meshes

The objective of the study was to analyze implicit techniques employed in structured grid algorithms for solving two-dimensional Euler equations and extend them to unstructured solvers in order to accelerate convergence rates. A comparison is made between nine different algorithms for both first-order and second-order accurate solutions. Higher-order accuracy is achieved by using multidimensional monotone linear reconstruction procedures. The discussion is illustrated by results for flow over a transonic circular arc.

Whitaker, D. L.↗